//   main : sendSMS.cpp,v 1.0                                   2006/11/13  //

#include <iostream>
#include <TString.h>

#include "CGSendSMS.h"

using namespace std;

int main(int argc, char **argv)
{
   int            errCode = 0;
   CGSendSMS     *sms     = new CGSendSMS();
   
   if(argc==2) {
      TString configFile = argv[1];
      sms->Initialization(configFile);
   } else {
      if(_DEBUGLEVEL > 1) {
	 cout << "Warning in <sendSMS>: Configuration file is missing, default values were used" << flush << endl;
	 cout << "usege: sendSMS confFile" << endl; 
      }
   }
   // run program
   do {
      errCode = sms->Run();
   } while(errCode);
   
   if(_DEBUGLEVEL > -1)
      cerr << "Error in <sendSMS>: Aplication terminate with error = " << errCode << flush << endl;
   //test
   //cout << "print \n" << *sms << endl;
   return errCode;
}
