//----------------------------------------------------------------------------
//  Header: CDataStructure.h, v 1.0                           2007/04/16    //
//                                                                          //
//  Goofie TPC ALICE Program Library                                        //
//  Copyright (C) ALICE collaboration, 2007                                 //
//                                                                          //
//  Last modified in CVS                                                    //
//  Author: D. Antonczyk                                                    //
//----------------------------------------------------------------------------

#ifndef CDATA_STRUCTURE 
#define CDATA_STRUCTURE

#include "AliGoofieRawEvent.h"

class CDataStructure : public AliGoofieRawEvent
{
public:
   CDataStructure();
   CDataStructure(const CDataStructure &_data);
   CDataStructure(const AliGoofieRawEvent &_data);
   virtual ~CDataStructure();
   CDataStructure & operator= (const CDataStructure &_data);
   operator AliGoofieRawEvent();
};
#endif
