//----------------------------------------------------------------------------
//  Header: CGasAnaResults.h, v 1.0                           2007/07/21    //
//                                                                          //
//  Goofie TPC ALICE Program Library                                        //
//  Copyright (C) ALICE collaboration, 2007                                 //
//                                                                          //
//  Last modified in CVS                                                    //
//  Author: D. Antonczyk                                                    //
//----------------------------------------------------------------------------

#ifndef CGAS_ANA_RESULTS
#define CGAS_ANA_RESULTS

#include "AliGoofieGasResult.h"

class CGasAnaResults : public AliGoofieGasResult
{
public:
   CGasAnaResults();
   CGasAnaResults(const CGasAnaResults &_val);
   CGasAnaResults & operator= (const CGasAnaResults &_val);
   virtual ~CGasAnaResults();

   void ResetValues();
   // test function
   void ResetDummyValues();
   void FillDummyValue();
   
private:
   bool         lfRun;                                //!
};
#endif
