/************************************************************************/
/*									*/
/*  This is the common header file for the ALTRO library		*/
/*									*/
/*  7. Sep. 04  MAJO  created						*/
/*									*/
/*******C 2006 - The software with that certain something****************/

#ifndef _ALTRO_H
#define _ALTRO_H

#include "altro_common.h"
#include <tools/rcc_error.h>

#ifndef __KERNEL__
# include <sys/types.h>
#endif

/*************/
/* Constants */
/*************/
#define BASE_NODE    "/dev/usb/altro"
#define DEFAULT_NODE "/dev/usb/altro0"
#define ALTRO0       "/dev/usb/altro0"
#define ALTRO1       "/dev/usb/altro1"
#define ALTRO2       "/dev/usb/altro2"
#define ALTRO3       "/dev/usb/altro3"
#define ALTRO4       "/dev/usb/altro4"

u_int ALTRO_Open(char *node, int *handle);
u_int ALTRO_Close(int handle);
u_int ALTRO_Send(int handle, altro_bulk_out_t *out);
u_int ALTRO_Get(int handle, altro_bulk_in_t *in);
u_int ALTRO_Control(int handle, altro_control_t *ctrl);
u_int ALTRO_err_get(err_pack err, err_str pid, err_str code);

#endif
