/**
 * 
 */
package core;

import gui.GuiManager;
import core.database.DatabaseManager;
import core.modules.ImplementationManager;

/**
 * @author okhalid
 *
 */
public class RootController {

	private ImplementationManager implManager;
	private GuiManager guiManager;
	private DatabaseManager dbManager;
	
	public RootController(){}
	
	public void run()
	{
		initComponents();
	}
	
	public void initComponents()
	{
		/* Creates an instance of the Implementation Manager and passes the reference of the Gui Manager */
		implManager = new ImplementationManager(guiManager);
		
		/* Creates an instance of the GUIManager and passes the reference of Implementation Manager */
		guiManager  = new GuiManager(implManager);
		
		/* Creates an instance of the database manager, and runs the thread */
		//dbManager 	= new  DatabaseManager(); 
		//dbManager.run();
	}
	
}
