//----------------------------------------------------------------------------
//  Header: CGSendSMS.h,v 1.0                                 2006/11/13    //
//                                                                          //
//  Goofie TPC ALICE Program Library                                        //
//  Copyright (C) ALICE collaboration, 2006                                 //
//                                                                          //
//  Last modified in CVS                                                    //
//  Author: D. Antonczyk                                                    //
//----------------------------------------------------------------------------


#include <iostream>

class TString;

class CGSendSMS
{
   friend std::ostream & operator<<(std::ostream &stream_out, CGSendSMS &data_in);
   
public:
   CGSendSMS();
   virtual ~CGSendSMS();
   

   void     Initialization(TString configFile);
   void     DefValue();
   void     Clear();
   int      Run();
   
   int      GetFileSize();
   bool     IsProccesRunning();
   int      SendMails();
      
private:
   // file location
   TString   filePath;
   TString   fileName;
   TString   processName;
    
   int       numberOfusersMail;
   int       numberOfusersPhone;
   TString  *CERNPhoneNumberUsers;
   TString  *MailToUser;

   bool      fSendMail;
   long      fFileSize;
   long      fPreviousFileSize;
};
