#include <jni.h>
#include <u2f/u2f.h>
#include <fec/fec.h>

/* Header for class core_jni_U2FCommandSend */

#ifndef _Included_core_jni_u2f_U2FCommandSend
#define _Included_core_jni_u2f_U2FCommandSend
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     core_jni_U2FCommandSend
 * Signature: ()V
 */
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetStatus (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetTriggerConfig (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetTriggerCounter (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_abort (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetGlobalFec (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_softwareTrigger (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetDmem1Flag (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetDmem2Flag (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_resetEword (JNIEnv *env, jobject obj);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_fecBroadcastBC (JNIEnv *env, jobject obj, jint regAdd, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_fecBroadcastAL (JNIEnv *env, jobject obj, jint regAdd, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_InitializePartition (JNIEnv *env, jobject obj, jstring filePath);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_readAllU2FRegisters (JNIEnv *env, jobject obj, jintArray data);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_writeU2FRegTRCFG1 (JNIEnv *env, jobject obj, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_writeU2FRegFMIREG (JNIEnv *env, jobject obj, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_writeU2FRegFMOREG (JNIEnv *env, jobject obj, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_writeU2FRegRESREG (JNIEnv *env, jobject obj, jint regData);
JNIEXPORT jint JNICALL Java_core_jni_u2f_U2FCommandSend_u2fReset (JNIEnv *env, jobject obj);

#ifdef __cplusplus
}
#endif
#endif

