package core.jni;

import javax.swing.JOptionPane;

import core.global.GlobalVariables;

public class SystemStarter {

	public SystemStarter ()
	{}
	
	private native int readU2FActiveFecRegister(int[] fecStatusArray);
	
	public void readU2FActiveFecRegister()
	{
		int ret=1;
		try
		{
			ret = readU2FActiveFecRegister(GlobalVariables.FEC_STATUS);
			
			if (ret !=0)
			{
				JOptionPane.showMessageDialog(null, "An Error has occured while reading U2F Active Fec register!");
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}	
	}
	
	static
	{
		System.loadLibrary("jniu2f");
	}
}
