package core.modules.fec.tools;

import core.global.GlobalVariables;

public class FecToFromAllData
{
	public int[] connectedFec;
	public int[] altroChannelRegAdd;
	public int[] altroChannelRegData;
	public int[] altroGlobalRegAdd;
	public int[] altroGlobalRegData;
	public int[] bcRegAdd;
	public int[] bcRegData;
	
	public FecToFromAllData()
	{
		connectedFec 		= new int[16]; 
		altroChannelRegAdd 	= new int[9]; 
		altroChannelRegData	= new int[9]; 
		altroGlobalRegAdd 	= new int[8]; 
		altroGlobalRegData 	= new int[8]; 
		bcRegAdd 			= new int[20]; 
		bcRegData 			= new int[20]; 
	}
	
	/* */
	public void readFromFec(int fecIndex)
	{
		/* Get the BC registers data */
		for(int index=0;index <bcRegData.length; index++)
		{
			/* Read data from FEC using BCReadWriteObject */
			
			/* Copy the read data from Global variables */
			bcRegData[index] = GlobalVariables.AltroGlobalRegDataArray[index]; 
		}
		
		/* Get Altro Channel Global Data */
		for(int index=0; index < altroGlobalRegAdd.length; index++)
		{
			/* Read the Altro Channel Global registers */
			
			/* Copy the read data from Global Variables */
			altroGlobalRegAdd[index] = GlobalVariables.AltroGlobalRegDataArray[index]; 
		}
		
		/* Get the Channel register data */
		for(int index=0; index < altroChannelRegAdd.length; index++ )
		{
			/* Read the Altro->Channel specific data */
			
			/* Copy the data from GlobalVariables Array */
			altroChannelRegData[index] = GlobalVariables.AltroGlobalRegDataArray[index]; 
		}
	}
	
	/* */
	public void writeToFec(int index)
	{
		connectedFec.clone();
	}
	
	/* */
	public void writeToAllConnectedFec()
	{
		
	}
}
